hpp-core: hpp::core::steeringMethod Namespace Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
hpp::core::steeringMethod Namespace Reference

## Classes
class | CarLike
class | ConstantCurvature
| Path of constant curvature for a carlike robot. More...
class | Dubins
class | Hermite
class | Interpolated
class | Kinodynamic
class | ReedsShepp
class | Snibud
class | Spline
class | Straight

## Typedefs
typedef shared_ptr< Interpolated > | InterpolatedPtr_t
typedef shared_ptr< ReedsShepp > | ReedsSheppPtr_t
typedef shared_ptr< Kinodynamic > | KinodynamicPtr_t
typedef shared_ptr< Straight > | StraightPtr_t
typedef shared_ptr< CarLike > | CarLikePtr_t
typedef shared_ptr< ConstantCurvature > | ConstantCurvaturePtr_t
typedef shared_ptr< Dubins > | DubinsPtr_t
typedef shared_ptr< Snibud > | SnibudPtr_t
typedef shared_ptr< Hermite > | HermitePtr_t
typedef Eigen::Matrix< value_type, 3, 1 > | Vector3

## Functions
| HPP_PREDEF_CLASS (Interpolated)
| HPP_PREDEF_CLASS (ReedsShepp)
| HPP_PREDEF_CLASS (Kinodynamic)
std::vector< JointPtr_t > | getWheelsFromParameter (const ProblemConstPtr_t &problem, const JointPtr_t &rz)
| HPP_PREDEF_CLASS (Straight)
| HPP_PREDEF_CLASS (CarLike)
| HPP_PREDEF_CLASS (ConstantCurvature)
| HPP_PREDEF_CLASS (Dubins)
| HPP_PREDEF_CLASS (Snibud)
| HPP_PREDEF_CLASS (Hermite)
PathVectorPtr_t | reedsSheppPathOrDistance (const DevicePtr_t &device, ConfigurationIn_t init, ConfigurationIn_t end, value_type extraLength, value_type rho, size_type xyId, size_type rzId, const std::vector< JointPtr_t > wheels, ConstraintSetPtr_t constraints, bool computeDistance, value_type &distance)

## Typedef Documentation

## ◆ CarLikePtr_t

typedef shared_ptr<CarLike> hpp::core::steeringMethod::CarLikePtr_t

## ◆ ConstantCurvaturePtr_t

typedef shared_ptr<ConstantCurvature> hpp::core::steeringMethod::ConstantCurvaturePtr_t

## ◆ DubinsPtr_t

typedef shared_ptr<Dubins> hpp::core::steeringMethod::DubinsPtr_t

## ◆ HermitePtr_t

typedef shared_ptr<Hermite> hpp::core::steeringMethod::HermitePtr_t

## ◆ InterpolatedPtr_t

typedef shared_ptr< Interpolated > hpp::core::steeringMethod::InterpolatedPtr_t

## ◆ KinodynamicPtr_t

typedef shared_ptr<Kinodynamic> hpp::core::steeringMethod::KinodynamicPtr_t

## ◆ ReedsSheppPtr_t

typedef shared_ptr< ReedsShepp > hpp::core::steeringMethod::ReedsSheppPtr_t

## ◆ SnibudPtr_t

typedef shared_ptr<Snibud> hpp::core::steeringMethod::SnibudPtr_t

## ◆ StraightPtr_t

typedef shared_ptr<Straight> hpp::core::steeringMethod::StraightPtr_t

## ◆ Vector3

typedef Eigen::Matrix<value_type, 3, 1> hpp::core::steeringMethod::Vector3

## Function Documentation

## ◆ HPP_PREDEF_CLASS() [1/9]

hpp::core::steeringMethod::HPP_PREDEF_CLASS | ( | CarLike |  | ) |

## ◆ HPP_PREDEF_CLASS() [2/9]

hpp::core::steeringMethod::HPP_PREDEF_CLASS | ( | ConstantCurvature |  | ) |

## ◆ HPP_PREDEF_CLASS() [3/9]

hpp::core::steeringMethod::HPP_PREDEF_CLASS | ( | Dubins |  | ) |

## ◆ HPP_PREDEF_CLASS() [4/9]

hpp::core::steeringMethod::HPP_PREDEF_CLASS | ( | Hermite |  | ) |

## ◆ HPP_PREDEF_CLASS() [5/9]

hpp::core::steeringMethod::HPP_PREDEF_CLASS | ( | Interpolated |  | ) |

## ◆ HPP_PREDEF_CLASS() [6/9]

hpp::core::steeringMethod::HPP_PREDEF_CLASS | ( | Kinodynamic |  | ) |

## ◆ HPP_PREDEF_CLASS() [7/9]

hpp::core::steeringMethod::HPP_PREDEF_CLASS | ( | ReedsShepp |  | ) |

## ◆ HPP_PREDEF_CLASS() [8/9]

hpp::core::steeringMethod::HPP_PREDEF_CLASS | ( | Snibud |  | ) |

## ◆ HPP_PREDEF_CLASS() [9/9]

hpp::core::steeringMethod::HPP_PREDEF_CLASS | ( | Straight |  | ) |